{$I DacDemo.inc}

unit Fetch;

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, Dialogs, DBCtrls, ExtCtrls,
  Grids, DBGrids, StdCtrls, ToolWin, ComCtrls, OdacVcl,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  SysUtils, Classes;

type
  TFetchForm = class(TForm)
    Label1: TLabel;
    btCancel: TButton;
    procedure btCancelClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FetchForm: TFetchForm;

implementation

{$IFNDEF FPC}
{$R *.dfm}
{$ENDIF}

procedure TFetchForm.btCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TFetchForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
{$IFNDEF MSWINDOWS}     
const
  VK_ESCAPE = 27;
{$ENDIF}
begin
  if Key = VK_ESCAPE then
    Close;
end;

initialization
{$IFDEF FPC}
{$I Fetch.lrs}
{$ENDIF}

end.
