{$I Base\DacDemo.inc}

program OdacDemo;

uses
{$IFDEF UNIX}
  cthreads,
{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms,
  DemoBase in 'Base\DemoBase.pas',
  HtmlConsts in 'Base\HtmlConsts.pas',
  DemoForm in 'Base\DemoForm.pas' {DemoForm},
  DemoFrame in 'Base\DemoFrame.pas' {DemoFrame},
  CategoryFrame in 'Base\CategoryFrame.pas',
  VTable in 'VirtualTable\VTable.pas' {VirtualTableFrame},
  OdacDemoForm in 'Base\OdacDemoForm.pas' {OdacForm},
  OdacAbout in 'Base\OdacAbout.pas' {OdacAboutForm},
  Query in 'Query\Query.pas' {QueryFrame},
  ConnectDialog in 'ConnectDialog\ConnectDialog.pas' {ConnectDialogFrame},
  InheritedConnectForm in 'ConnectDialog\InheritedConnectForm.pas' {fmInheritedConnect},
  MyConnectForm in 'ConnectDialog\MyConnectForm.pas' {fmMyConnect},
  Fetch in 'Loader\Fetch.pas' {FetchForm},
  Smart in 'Smart\Smart.pas' {SmartFrame},
  Sql in 'Sql\Sql.pas' {SqlFrame},
  ParamType in 'Sql\ParamType.pas' {ParamTypeForm},
  StoredProc in 'StoredProc\StoredProc.pas' {StoredProcFrame},
  Table in 'Table\Table.pas' {TableFrame},
  UpdateSQL in 'UpdateSQL\UpdateSQL.pas' {UpdateSQLFrame},
  CachedUpdates in 'CachedUpdates\CachedUpdates.pas' {CachedUpdatesFrame},
  UpdateAction in 'CachedUpdates\UpdateAction.pas' {UpdateActionForm},
  FilterAndIndex in 'FilterAndIndex\FilterAndIndex.pas' {FilterAndIndexFrame},
  MasterDetail in 'MasterDetail\MasterDetail.pas' {MasterDetailFrame},
  BFile in 'BFile\BFile.pas' {BFileFrame},
  Clob in 'Clob\Clob.pas' {ClobFrame},
  Cursor in 'Cursor\Cursor.pas' {CursorFrame},
  DMLArray in 'DMLArray\DMLArray.pas' {DMLArrayFrame},
  FetchCursors in 'FetchCursors\FetchCursors.pas' {FetchCursorsFrame},
  Long in 'Long\Long.pas' {LongFrame},
  LongStrings in 'LongStrings\LongStrings.pas' {LongStringsFrame},
  MultiCursors in 'MultiCursors\MultiCursors.pas' {MultiCursorsFrame},
  PLSQLTable in 'PLSQLTable\PLSQLTable.pas' {PLSQLTableFrame},
  ProxySession in 'ProxySession\ProxySession.pas' {ProxySessionFrame},
  XMLType in 'XMLType\XMLType.pas' {XMLTypeFrame},
{$IFNDEF STD}
  ErrorHandler in 'ErrorHandler\ErrorHandler.pas' {ErrorHandlerFrame},
  Loader in 'Loader\Loader.pas' {LoaderFrame},
  Queue in 'Queue\Queue.pas' {QueueFrame},
  Transaction in 'Transaction\Transaction.pas' {TransactionFrame},
  Trace in 'Trace\Trace.pas' {TraceFrame},
{$ENDIF}
  XMLTypeDetails in 'XMLType\XMLTypeDetails.pas' {XMLDetailsForm};

begin
  Application.Initialize;
  Application.CreateForm(TOdacForm, OdacForm);
  Application.Run;
end.

